Name:           navit
Version:        1.1.0
Release:        2.1.moblin2
Summary:        Car navigation system with routing engine

Group:          Applications/Productivity
License:        GPLv2
URL:            http://navit.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	gpsdata.bin
Source2:	gpsdata.nmea
Source3:	contacts.txt	
Source4:	contact.xpm
Source5:	navit-say
Source6:	webtrack.txt	
Source7:	twitter.ico

# Change map center to Oregon
Patch0:         navit-1.1.0-centermap.patch
# Edit navit.xml to find sample gps files
Patch1:		navit-1.1.0-samplegps.patch
# Add TTS support to Navit
Patch2: 	navit-1.1.0-tts.patch
# Fix the desktop file
Patch3: 	navit-1.1.0-shortcutfix.patch
# Add contact image as custom point of interest
Patch4:		navit-1.1.0-contactpois.patch
# Fix up the navit.xml file icons and tts commands
Patch5:		navit-1.1.0-picfix.patch
Patch6:		navit-1.1.0-contacts.patch
Patch7:		navit-1.1.0-webtrack.patch
# Enabled clutter UI, ported to clutter 0.9
# Patch7:		navit-0.1.0-clutter1.patch
# Enabled internal UI until clutter UI working
# Patch8:		navit-0.1.0-internalgui.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cairo-devel
BuildRequires:  clutter-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  dejavu-sans-fonts
#BuildRequires:  cegui-devel
BuildRequires:  freeglut-devel
#BuildRequires:  quesoglc-devel
BuildRequires:  atk-devel
BuildRequires:  freetype-devel
BuildRequires:  pango-devel
BuildRequires:  python-devel
BuildRequires:  gd-devel
BuildRequires:  zlib-devel
BuildRequires:  libstdc++-devel
BuildRequires:  glibc-devel
#When available in Fedora to add Garmin image support
#BuildRequires:  libgarmin-devel
BuildRequires:	gpsd-devel
#BuildRequires:  gypsy-devel
BuildRequires:  speech-dispatcher-devel
BuildRequires:  cvs
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  geoclue-devel
BuildRequires:  pkgconfig(twitter-glib-1.0)

BuildRequires:  gettext-devel
BuildRequires:  desktop-file-utils
BuildRequires:  dbus-glib-devel

Requires:	geoclue
Requires:	dbus
Requires:	dbus-glib
Requires:       gpsd
Requires:       speech-dispatcher
#Requires:       gypsy
Requires:       hicolor-icon-theme
Requires:       dejavu-sans-fonts
Requires:      	clutter 
Requires:      	clutter-gtk 

%description
Navit is  modular design is capable of using vector maps of various formats 
for routing and rendering of the displayed map. It's even possible to use 
multiple maps at a time.
The GTK+ or SDL user interfaces are designed to work well with touch screen 
displays. Points of Interest of various formats are displayed on the map.
The current vehicle position is either read from gpsd or directly from NMEA 
GPS sensors.
The routing engine not only calculates an optimal route to your destination,
but also generates directions and even speaks to you using speechd.

%package devel
Summary:        Development and documentation files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Static libraries, header files and documentation for %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1  
%patch3 -p1  
%patch4 -p1  
%patch5 -p1  
%patch6 -p1  
%patch7 -p1  

%build
autoreconf -i
%configure --prefix=/usr --disable-static --disable-samplemap
#--disable-gui-clutter
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}
desktop-file-install                                        \
    --delete-original                                       \
    --add-category="Network;"                              \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

rm -f %{buildroot}%{_datadir}/%{name}/README

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 666 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 666 %{SOURCE6} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 666 %{SOURCE7} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/%{name}/xpm/
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/%{_bindir}/

# Use installed DejaVu
#rm -f %{buildroot}%{_datadir}/%{name}/datafiles/fonts/DejaVuSans.ttf
#ln -s %{_datadir}/fonts/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}/datafiles/fonts/DejaVuSans.ttf


%clean
rm -rf %{buildroot}


#%post -p /sbin/ldconfig
#update-mime-database %{_datadir}/mime &> /dev/null || :


#%postun -p /sbin/ldconfig
#update-mime-database %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT README
%{_bindir}/%{name}
%{_bindir}/osm2navit
%{_bindir}/navit-say
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/*.png
#%{_datadir}/%{name}/datafiles/
%{_datadir}/%{name}/xpm/
%{_datadir}/%{name}/xpm/contact.xpm
%{_datadir}/%{name}/navit.xml
%{_datadir}/%{name}/gpsdata.bin
%{_datadir}/%{name}/gpsdata.nmea
%{_datadir}/%{name}/contacts.txt
%{_datadir}/%{name}/webtrack.txt
%{_datadir}/%{name}/twitter.ico
%changelog
* Thu Oct 15 2009 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- Added a demo mode for webtrack for when no net is available
* Wed Sep 16 2009 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- Added webtracker capabilities for twitter geolocation
* Wed Aug 19 2009 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- Added fix to contacts map, entries are now synced with what's
  in EDS on navit start.
* Mon Jul 27 2009 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- upgrade to Navit 1.1.0
* Wed Jul  1 2009 Todd Brandt <todd.e.brandt@intel.com> - 0.1.0-1
- Added Lilli Szfranski's Changes for GPS simulation and contacts
* Mon Mar 30 2009 Jimmy Huang <jimmy.huang@linux.intel.com> - 0.1.0-1
- Initial import.
* Sun Nov 30 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-1
- Updated to 0.1.0
* Sat Nov  1 2008 Fabian Affolter <fabian@bernewireless.net> - 0.0.4-1
- Initial package for Fedora
